Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::MethodSlot4< T, R, P1, P2, P3, P4 > Class Template Reference

A slot template for methods in a class of type T taking four arguments of type P1, P2, P3 and P4, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::MethodSlot4< T, R, P1, P2, P3, P4 >:

List of all members.

## Public Member Functions

- MethodSlot4 (T *object, PMF function)
    Construct a new method slot for a class member function.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4) const
    Calls the class method connected to this slot passing it arguments p1, p2, p3 and p4.

## Detailed Description

### template<typename T, typename R, typename P1, typename P2, typename P3, typename P4>
class Inti::MethodSlot4< T, R, P1, P2, P3, P4 >

A slot template for methods in a class of type T taking four arguments of type P1, P2, P3 and P4, and returning a value of type R.

## Constructor & Destructor Documentation

template<typename T, typename R, typename P1, typename P2, typename P3, typename P4>
Inti::MethodSlot4< T, R, P1, P2, P3, P4 >::MethodSlot4 | ( | T * | object,
|  | PMF | function
| ) | `[inline]`

  | Construct a new method slot for a class member function. Parameters:
  object | A pointer to an object of type T.
  function | A class method with the signature R (T::*PMF)(P1, P2, P3, P4).

## Member Function Documentation

template<typename T, typename R, typename P1, typename P2, typename P3, typename P4>
virtual R Inti::MethodSlot4< T, R, P1, P2, P3, P4 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4
| ) | const`[inline, virtual]`

| Calls the class method connected to this slot passing it arguments p1, p2, p3 and p4. Returns: A value of type R returned by the called method. Implements Inti::Slot4< R, P1, P2, P3, P4 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer